Bug 985774 - [abrt] kdenetwork-kopete-4.10.5-2.el7: QCA::BufferedComputation::process(QCA::MemoryRegion const&): Process /usr/bin/kopete was killed by signal 11 (SIGSEGV)
[abrt] kdenetwork-kopete-4.10.5-2.el7: QCA::BufferedComputation::process(QCA:...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qca2 (Show other bugs)
7.0
x86_64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jan Grulich
BaseOS QE Security Team
abrt_hash:5ee1a9600aea370df3436e17232...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-18 04:36 EDT by Martin Bříza
Modified: 2017-07-19 06:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (24.25 KB, text/plain)
2013-07-18 04:36 EDT, Martin Bříza
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-18 04:36 EDT, Martin Bříza
no flags Details
File: core_backtrace (1.44 KB, text/plain)
2013-07-18 04:36 EDT, Martin Bříza
no flags Details
File: dso_list (16.92 KB, text/plain)
2013-07-18 04:36 EDT, Martin Bříza
no flags Details
File: environ (2.00 KB, text/plain)
2013-07-18 04:36 EDT, Martin Bříza
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-18 04:36 EDT, Martin Bříza
no flags Details
File: maps (86.55 KB, text/plain)
2013-07-18 04:36 EDT, Martin Bříza
no flags Details
File: open_fds (2.22 KB, text/plain)
2013-07-18 04:36 EDT, Martin Bříza
no flags Details
File: proc_pid_status (1.05 KB, text/plain)
2013-07-18 04:36 EDT, Martin Bříza
no flags Details
File: var_log_messages (304 bytes, text/plain)
2013-07-18 04:37 EDT, Martin Bříza
no flags Details

  None (edit)
Description Martin Bříza 2013-07-18 04:36:22 EDT
Description of problem:
In FIPS mode, I tried connecting to Facebook chat using Kopete.

Version-Release number of selected component:
kdenetwork-kopete-4.10.5-2.el7

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/kopete -caption Kopete
crash_function: QCA::BufferedComputation::process(QCA::MemoryRegion const&)
executable:     /usr/bin/kopete
fips_enabled:   1
kernel:         3.10.0-1.el7.x86_64
runlevel:       N 5
uid:            1000
xsession_errors: kopete(17297)/libkopete Kopete::XmlContactStorage::load: The contact list on disk is older than expected or cannot be updated! No contact list will be loaded 

Truncated backtrace:
Thread no. 1 (8 frames)
 #1 QCA::BufferedComputation::process(QCA::MemoryRegion const&) at /lib64/libqca.so.2
 #2 QCA::Hash::hash(QCA::MemoryRegion const&) at /lib64/libqca.so.2
 #3 XMPP::DIGESTMD5Response::DIGESTMD5Response(QByteArray const&, QString const&, QString const&, QString const&, QString const&, QString const&, QByteArray const&, XMPP::RandomNumberGenerator const&) at /usr/lib64/kde4/kopete_jabber.so
 #4 XMPP::SimpleSASLContext::tryAgain() at /usr/lib64/kde4/kopete_jabber.so
 #5 QCA::SASL::continueAfterParams() at /lib64/libqca.so.2
 #6 JabberClient::slotCSNeedAuthParams(bool, bool, bool) at /usr/lib64/kde4/kopete_jabber.so
 #7 QMetaObject::activate(QObject*, QMetaObject const*, int, void**) at /lib64/libQtCore.so.4
 #8 XMPP::ClientStream::needAuthParams(bool, bool, bool) at /usr/lib64/kde4/kopete_jabber.so
Comment 1 Martin Bříza 2013-07-18 04:36:27 EDT
Created attachment 775188 [details]
File: backtrace
Comment 2 Martin Bříza 2013-07-18 04:36:32 EDT
Created attachment 775189 [details]
File: cgroup
Comment 3 Martin Bříza 2013-07-18 04:36:36 EDT
Created attachment 775190 [details]
File: core_backtrace
Comment 4 Martin Bříza 2013-07-18 04:36:40 EDT
Created attachment 775191 [details]
File: dso_list
Comment 5 Martin Bříza 2013-07-18 04:36:43 EDT
Created attachment 775192 [details]
File: environ
Comment 6 Martin Bříza 2013-07-18 04:36:47 EDT
Created attachment 775193 [details]
File: limits
Comment 7 Martin Bříza 2013-07-18 04:36:50 EDT
Created attachment 775194 [details]
File: maps
Comment 8 Martin Bříza 2013-07-18 04:36:55 EDT
Created attachment 775195 [details]
File: open_fds
Comment 9 Martin Bříza 2013-07-18 04:36:58 EDT
Created attachment 775196 [details]
File: proc_pid_status
Comment 10 Martin Bříza 2013-07-18 04:37:06 EDT
Created attachment 775197 [details]
File: var_log_messages
Comment 12 Ngo Than 2013-07-18 07:16:17 EDT
as i know kopete doesn't support facebbook, how can you setup facebook access in kopete?
Comment 13 Martin Bříza 2013-07-18 08:13:40 EDT
chat.facebook.com is a jabber server
Comment 14 Martin Bříza 2013-07-25 09:06:51 EDT
calling QCA::isSupported("md5") before the crash to determine if we can use the algorithm returns true, so the problem lies in qca2, reassigning...
Comment 15 RHEL Product and Program Management 2014-03-22 02:43:52 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.